CustomAttributesControllerGetEffectiveValuesForAccount Method |
GET /CustomAttributes/GetEffectiveValuesForAccount/{id}
Gets the effective custom attribute values for the account.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("GetEffectiveValuesForAccount")]
public IActionResult GetEffectiveValuesForAccount(
Guid id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("GetEffectiveValuesForAccount")>
Public Function GetEffectiveValuesForAccount (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"GetEffectiveValuesForAccount")]
IActionResult^ GetEffectiveValuesForAccount(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("GetEffectiveValuesForAccount")>]
member GetEffectiveValuesForAccount :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The account ID. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResult
A list of
CustomAttributeData objects, or a status code indicating reason of failure.
See Also